[GH-ISSUE #31] Stronger set options at the top #4

Open
opened 2026-03-04 19:17:23 +03:00 by kerem · 0 comments
Owner

Originally created by @codesterribly on GitHub (Nov 15, 2025).
Original GitHub issue: https://github.com/007revad/Linux_Plex_Backup/issues/31

set -o errexit
set -o nounset
set -o pipefail

Then audit any place you rely on non-zero exits in a nonfatal way and guard with || true where appropriate. This catches more silent failures early.

Originally created by @codesterribly on GitHub (Nov 15, 2025). Original GitHub issue: https://github.com/007revad/Linux_Plex_Backup/issues/31 ``` set -o errexit set -o nounset set -o pipefail ``` Then audit any place you rely on non-zero exits in a nonfatal way and guard with || true where appropriate. This catches more silent failures early.
Sign in to join this conversation.
No labels
pull-request
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/Linux_Plex_Backup#4
No description provided.